Bug 238238 (perl-Catalyst-Devel) - Review Request: perl-Catalyst-Devel - Catalyst Development Tools
Summary: Review Request: perl-Catalyst-Devel - Catalyst Development Tools
Status: CLOSED NEXTRELEASE
Alias: perl-Catalyst-Devel
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Catalyst-...
Whiteboard:
Keywords:
Depends On: Catalyst-Runtime 238230 perl-Catalyst-Manual 238233 238236
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-28 04:37 UTC by Chris Weyl
Modified: 2010-08-25 17:20 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-08-10 23:52:01 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-04-28 04:37:11 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Devel-1.02-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Devel.spec

Description:
The Catalyst::Devel package includes a variety of modules useful for the
development of Catalyst applications, but not required to run them. This is
intended to make it easier to deploy Catalyst apps. The runtime parts of
Catalyst are now known as Catalyst::Runtime.

Comment 1 Chris Weyl 2007-04-28 04:40:32 UTC
Whew, that should be the last of the "minimal" Catalyst modules needed. :)

Comment 2 Jason Tibbitts 2007-06-10 04:38:39 UTC
Please set the fedora-flag if you're reviewing this, thanks.

Comment 3 Parag AN(पराग) 2007-06-12 09:43:23 UTC
add t/* to %doc

Comment 4 Parag AN(पराग) 2007-07-24 01:25:30 UTC
ping?

Comment 6 Parag AN(पराग) 2007-07-25 07:10:24 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
09dd471b600f4dddadc57ee5b56b2d02  Catalyst-Devel-1.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/*.t
t/01use............ok
t/02pod............ok
t/03podcoverage....ok
All tests successful.
Files=3, Tests=8,  1 wallclock secs ( 0.35 cusr +  0.05 csys =  0.40 CPU)
+ exit 0
+ Provides: perl(Catalyst::Devel) = 1.02 perl(Catalyst::Helper)
perl(Catalyst::Module::Install) perl(Module::Install::Catalyst)
+ Requires: /usr/bin/perl perl(:MODULE_COMPAT_5.8.8) perl(Catalyst) >= 5.7000
perl(Catalyst::Action::RenderView) >= 0.04 perl(Catalyst::Devel)
perl(Catalyst::Exception) perl(Catalyst::Helper) perl(Catalyst::Manual) >=
5.7000 perl(Catalyst::Plugin::ConfigLoader)
perl(Catalyst::Plugin::Static::Simple) >= 0.14 perl(Catalyst::Utils)
perl(Class::Accessor::Fast) perl(Config) perl(File::Copy::Recursive)
perl(File::Find) perl(File::Path) perl(File::Spec) perl(FindBin)
perl(Getopt::Long) perl(IO::File) perl(Module::Install) >= 0.64
perl(Module::Install::Base) perl(POSIX) perl(Path::Class) >= 0.09
perl(Pod::Usage) perl(Template) perl(YAML) >= 0.55 perl(base) perl(strict)
perl(warnings)

APPROVED.



Comment 7 Chris Weyl 2007-08-10 02:09:46 UTC
New Package CVS Request
=======================
Package Name: perl-Catalyst-Devel
Short Description: Catalyst Development Tools
Owners: cweyl@alumni.drew.edu
Branches: FC-6, F-7, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 8 Kevin Fenzi 2007-08-10 17:11:47 UTC
cvs done.

Comment 9 Chris Weyl 2007-08-10 23:52:01 UTC
Imported and building; thanks for the review! :)

Comment 10 Iain Arnell 2010-08-25 05:54:28 UTC
Package Change Request
======================
Package Name: perl-Catalyst-Devel
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig

Comment 11 Kevin Fenzi 2010-08-25 17:20:31 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.